Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.handlers
Class SandeshaInHandler

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.sandesha2.handlers.SandeshaInHandler

All Implemented Interfaces:
  org.apache.axis2.engine.Handler

    public class SandeshaInHandler

extends org.apache.axis2.handlers.AbstractHandler

This is invoked in the inFlow of an RM endpoint. This is responsible for selecting an suitable message processor and letting it process the message.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`org.apache.axis2.engine.Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`SandeshaInHandler()`

Method Summary
`java.lang.String` | `getName()`
`org.apache.axis2.engine.Handler.InvocationResponse` | `invoke(org.apache.axis2.context.MessageContext msgCtx)`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SandeshaInHandler

    public SandeshaInHandler()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.axis2.engine.Handler`
  Overrides:
    `getName` in class `org.apache.axis2.handlers.AbstractHandler`

### invoke

    public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext msgCtx)
                                                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.